Bug 1915122

Summary: Size of the hostname was preventing proper DNS resolution of the worker node names
Product: OpenShift Container Platform Reporter: Douglas Schilling Landgraf <dougsland>
Component: NetworkingAssignee: Ben Nemec <bnemec>
Networking sub component: mDNS QA Contact: Oleg Sher <osher>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: amalykhi, amcdermo, aos-bugs, bnemec, gferrazs, hpokorny, mkalinin, vfarias, vvoronko
Version: 4.6.zKeywords: Triaged
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1983690 (view as bug list) Environment:
Last Closed: 2021-07-27 22:36:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1896751, 1983695    

Description Douglas Schilling Landgraf 2021-01-12 02:27:18 UTC
Description of problem:

Creating a new machineset with long names was preventing proper DNS resolution of the worker node. All nodes are in Provisioning state forever until manually approve CSR`s.


Actual results:
Cluster working but machines in a not correct stage and the provisioning process needs manual intervention, when it shouldn't

Expected results:
Cluster with all machines in Running stage if everything worked as planned and no manual intervention in the scaling process


Version-Release number of selected component (if applicable):
4.6.z


How reproducible:

Deploy a new machineset with long name.

Example of master hostname: openshift-stage-wz4zh-master-0 (30 characters)
Example of infra hostname:  openshift-stage-wz4zh-infra-0-j6jsw (35 characters)
Example of worker hostname: openshift-stage-wz4zh-worker-0-tprn9 (36 characters)


Additional info:

See: 

Also, looks like this is also affecting the installer, similar issue happened with openstack folks regarding cluster name:

https://github.com/openshift/mdns-publisher/issues/9
https://github.com/openshift/installer/issues/2243
https://github.com/openshift/installer/pull/2270

From https://github.com/openshift/installer/issues/2243 we see a long name too:
time="2019-08-19T06:08:55Z" level=info msg="Zeroconf setting service ttl" name="preserve-wjosp0819fa Workstation-preserve-wjosp0819fa-9z8qw-master-0" ttl=3200
time="2019-08-19T06:08:55Z" level=info msg="Zeroconf registering service" name="preserve-wjosp0819fa Etcd-preserve-wjosp0819fa-9z8qw-master-0"
time="2019-08-19T06:08:55Z" level=info msg="Zeroconf registering service" name="preserve-wjosp0819fa Workstation-preserve-wjosp0819fa-9z8qw-master-0"

Comment 12 errata-xmlrpc 2021-07-27 22:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438